<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: SHAPE Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_s_h_a_p_e.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SHAPE Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="shape_8h_source.html">shape.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0399eb78125961fc22085d4aac6b0d15"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_h_a_p_e.html#a0399eb78125961fc22085d4aac6b0d15">class</a></td></tr>
<tr class="separator:a0399eb78125961fc22085d4aac6b0d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fef0ae52631420c49d421e1dedf4df2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">Vec3Class</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_h_a_p_e.html#a1fef0ae52631420c49d421e1dedf4df2">position</a></td></tr>
<tr class="separator:a1fef0ae52631420c49d421e1dedf4df2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a084c753c6cdd793a4f33b895d977a391"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec4_8h.html#a89d0873b2801aaf0103eac45c38cd695">Vec4Class</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_h_a_p_e.html#a084c753c6cdd793a4f33b895d977a391">rotation</a></td></tr>
<tr class="separator:a084c753c6cdd793a4f33b895d977a391"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7b3a3603b6f43a2d65363cc7e56c5ee"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">Vec3Class</a> *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_h_a_p_e.html#ae7b3a3603b6f43a2d65363cc7e56c5ee">setPosition</a> )(<a class="el" href="shape_8h.html#a09423b252e882c69c9a3cd7026e359a9">ShapeClass</a> *self, double x, double y, double z)</td></tr>
<tr class="separator:ae7b3a3603b6f43a2d65363cc7e56c5ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86da2bc5d4f7216d6ba559b39be99cdf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vec4_8h.html#a89d0873b2801aaf0103eac45c38cd695">Vec4Class</a> *(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_h_a_p_e.html#a86da2bc5d4f7216d6ba559b39be99cdf">setRotation</a> )(<a class="el" href="shape_8h.html#a09423b252e882c69c9a3cd7026e359a9">ShapeClass</a> *self, double x, double y, double z, double w)</td></tr>
<tr class="separator:a86da2bc5d4f7216d6ba559b39be99cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2shape_2include_2shape_8h-example.html#_a0">/home/daniele/CLionProjects/distroInfos/entities/shape/include/shape.h</a>.</dd>
</dl>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0399eb78125961fc22085d4aac6b0d15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0399eb78125961fc22085d4aac6b0d15">&#9670;&nbsp;</a></span>class</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* class</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1fef0ae52631420c49d421e1dedf4df2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fef0ae52631420c49d421e1dedf4df2">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">Vec3Class</a>* position</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2shape_2include_2shape_8h-example.html#a2">/home/daniele/CLionProjects/distroInfos/entities/shape/include/shape.h</a>.</dd>
</dl>

</div>
</div>
<a id="a084c753c6cdd793a4f33b895d977a391"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a084c753c6cdd793a4f33b895d977a391">&#9670;&nbsp;</a></span>rotation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec4_8h.html#a89d0873b2801aaf0103eac45c38cd695">Vec4Class</a>* rotation</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2shape_2include_2shape_8h-example.html#a4">/home/daniele/CLionProjects/distroInfos/entities/shape/include/shape.h</a>.</dd>
</dl>

</div>
</div>
<a id="ae7b3a3603b6f43a2d65363cc7e56c5ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7b3a3603b6f43a2d65363cc7e56c5ee">&#9670;&nbsp;</a></span>setPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">Vec3Class</a>*(* setPosition(<a class="el" href="shape_8h.html#a09423b252e882c69c9a3cd7026e359a9">ShapeClass</a> *self, double x, double y, double z)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86da2bc5d4f7216d6ba559b39be99cdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86da2bc5d4f7216d6ba559b39be99cdf">&#9670;&nbsp;</a></span>setRotation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vec4_8h.html#a89d0873b2801aaf0103eac45c38cd695">Vec4Class</a>*(* setRotation(<a class="el" href="shape_8h.html#a09423b252e882c69c9a3cd7026e359a9">ShapeClass</a> *self, double x, double y, double z, double w)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>entities/shape/include/<a class="el" href="shape_8h_source.html">shape.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_s_h_a_p_e.html">SHAPE</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
